Open CASCADE Technology: LProp3d_SLProps Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
LProp3d_SLProps Class Reference

`#include <LProp3d_SLProps.hxx>`

## Public Member Functions
| LProp3d_SLProps (const Handle< Adaptor3d_HSurface > &S, const Standard_Real U, const Standard_Real V, const Standard_Integer N, const Standard_Real Resolution)
| LProp3d_SLProps (const Handle< Adaptor3d_HSurface > &S, const Standard_Integer N, const Standard_Real Resolution)
| LProp3d_SLProps (const Standard_Integer N, const Standard_Real Resolution)
void | SetSurface (const Handle< Adaptor3d_HSurface > &S)
void | SetParameters (const Standard_Real U, const Standard_Real V)
const gp_Pnt & | Value () const
const gp_Vec & | D1U ()
const gp_Vec & | D1V ()
const gp_Vec & | D2U ()
const gp_Vec & | D2V ()
const gp_Vec & | DUV ()
Standard_Boolean | IsTangentUDefined ()
void | TangentU (gp_Dir &D)
Standard_Boolean | IsTangentVDefined ()
void | TangentV (gp_Dir &D)
Standard_Boolean | IsNormalDefined ()
const gp_Dir & | Normal ()
Standard_Boolean | IsCurvatureDefined ()
Standard_Boolean | IsUmbilic ()
Standard_Real | MaxCurvature ()
Standard_Real | MinCurvature ()
void | CurvatureDirections (gp_Dir &MaxD, gp_Dir &MinD)
Standard_Real | MeanCurvature ()
Standard_Real | GaussianCurvature ()

## Constructor & Destructor Documentation

LProp3d_SLProps::LProp3d_SLProps | ( | const Handle< Adaptor3d_HSurface > & | S,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | const Standard_Integer | N,
|  | const Standard_Real | Resolution
| ) |  |

LProp3d_SLProps::LProp3d_SLProps | ( | const Handle< Adaptor3d_HSurface > & | S,
|  | const Standard_Integer | N,
|  | const Standard_Real | Resolution
| ) |  |

LProp3d_SLProps::LProp3d_SLProps | ( | const Standard_Integer | N,
|  | const Standard_Real | Resolution
| ) |  |

## Member Function Documentation

void LProp3d_SLProps::CurvatureDirections | ( | gp_Dir & | MaxD,
|  | gp_Dir & | MinD
| ) |  |

const gp_Vec& LProp3d_SLProps::D1U | ( |  | ) |

const gp_Vec& LProp3d_SLProps::D1V | ( |  | ) |

const gp_Vec& LProp3d_SLProps::D2U | ( |  | ) |

const gp_Vec& LProp3d_SLProps::D2V | ( |  | ) |

const gp_Vec& LProp3d_SLProps::DUV | ( |  | ) |

Standard_Real LProp3d_SLProps::GaussianCurvature | ( |  | ) |

Standard_Boolean LProp3d_SLProps::IsCurvatureDefined | ( |  | ) |

Standard_Boolean LProp3d_SLProps::IsNormalDefined | ( |  | ) |

Standard_Boolean LProp3d_SLProps::IsTangentUDefined | ( |  | ) |

Standard_Boolean LProp3d_SLProps::IsTangentVDefined | ( |  | ) |

Standard_Boolean LProp3d_SLProps::IsUmbilic | ( |  | ) |

Standard_Real LProp3d_SLProps::MaxCurvature | ( |  | ) |

Standard_Real LProp3d_SLProps::MeanCurvature | ( |  | ) |

Standard_Real LProp3d_SLProps::MinCurvature | ( |  | ) |

const gp_Dir& LProp3d_SLProps::Normal | ( |  | ) |

void LProp3d_SLProps::SetParameters | ( | const Standard_Real | U,
|  | const Standard_Real | V
| ) |  |

void LProp3d_SLProps::SetSurface | ( | const Handle< Adaptor3d_HSurface > & | S | ) |

void LProp3d_SLProps::TangentU | ( | gp_Dir & | D | ) |

void LProp3d_SLProps::TangentV | ( | gp_Dir & | D | ) |

const gp_Pnt& LProp3d_SLProps::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- LProp3d_SLProps.hxx